#!/bin/bash

# A legkisebb és legnagyobb szám, amire a gép még "gondolhat".
also_hatar=1; felso_hatar=1000;

# Generálunk egy véletlenszerű egész számot az alsó és a felső határ között.
gondolt_szam=$((also_hatar + SRANDOM % (felso_hatar - also_hatar + 1)))

# Változó a felhasználó életeinek.
eletek_szama=20

echo "Gondoltam egy számra $also_hatar és $felso_hatar között. Találd ki, melyikre!"
echo "Életek száma: $eletek_szama"

# Egy végtelen ciklus (ebből majd akkor lépünk ki, amikor a játék véget ér).
while true; do

	# -n kapcsoló: nem tesz sortörést a kiíratás után
	echo -n "Tipp: "; read tipp;
	
	# Ha a felhasználó nem találja el a gondolt számot, akkor kiíratjuk,
	# hogy a gondolt szám kisebb vagy nagyobb a felhasználó tippjénél.
	# Ekkor az életek számát csökkentjük 1-gyel.
	if ((tipp != gondolt_szam)); then
	
		((--eletek_szama))
		
		if ((tipp > gondolt_szam)); then
			echo "Ennél kisebb."
		else
			echo "Ennél nagyobb."
		fi
	else
		# Ha a felhasználó kitalálja a gondolt számot, akkor a játéknak vége és a felhasználó nyer.
		echo "-------------------------------------------------"
		echo "Gratulálok, nyertél!"
		echo "A gondolt szám valóban $gondolt_szam volt."
		echo "Megmaradt életek: $eletek_szama"
		exit  # Vége a játéknak, kilépünk a programból.
	fi
	
	# Ha az életek elfogynak, akkor a játéknak vége és a felhasználó veszít.
	if ((eletek_szama == 0)); then
		echo "-------------------------------------------------"
		echo "Sajnos nem nyertél!"
		echo "A gondolt szám $gondolt_szam volt."
		exit  # Vége a játéknak, kilépünk a programból.
	fi
done
